
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.CgZlEntity;
import org.sky.scientific.pojo.vo.CgZlVO;
import java.util.Objects;

/**
 * 科研成果-专利 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class CgZlWrapper extends BaseEntityWrapper<CgZlEntity, CgZlVO> {

	public static CgZlWrapper build() {
		return new CgZlWrapper();
 	}

	@Override
	public CgZlVO entityVO(CgZlEntity cgZl) {
		CgZlVO cgZlVO = Objects.requireNonNull(BeanUtil.copyProperties(cgZl, CgZlVO.class));

		//User createUser = UserCache.getUser(cgZl.getCreateUser());
		//User updateUser = UserCache.getUser(cgZl.getUpdateUser());
		//cgZlVO.setCreateUserName(createUser.getName());
		//cgZlVO.setUpdateUserName(updateUser.getName());

		return cgZlVO;
	}


}
